interface NoteText {
    text: string;
    [key: string]: any;
}
interface NoteConfig {
    margins?: {
        insetmode?: string;
        inset?: number[];
    };
    protection?: {
        locked?: string;
        lockText?: string;
    };
    editAs?: string;
    texts?: NoteText[];
}
interface NoteModel {
    type: string;
    note: NoteConfig;
}
declare class Note {
    note: string | NoteConfig;
    static DEFAULT_CONFIGS: NoteModel;
    constructor(note?: string | NoteConfig);
    get model(): NoteModel;
    set model(value: NoteModel);
    static fromModel(model: NoteModel): Note;
}
export { Note };
